﻿MICROSOFT PRE-RELEASE SOFTWARE LICENSE TERMS
============================================

MICROSOFT VISUAL STUDIO ONLINE
------------------------------

---

These license terms are an agreement between you and Microsoft Corporation (or based on where you live, one of its affiliates). They apply to the pre-release software named above. The terms also apply to any Microsoft services or updates for the software, except to the extent those have additional terms.

---

**IF YOU COMPLY WITH THESE LICENSE TERMS, YOU HAVE THE RIGHTS BELOW.**

1. **INSTALLATION AND USE RIGHTS.**
   1. **General.** You may use a copy of the software with each validly licensed copy of Microsoft Visual Studio Code. You may not use the software if you do not have a license for Microsoft Visual Studio Code. You may copy and install files from the software onto your application development devices, including physical devices and virtual machines or containers on those machines, which are (i) owned by you and located on-premises or hosted on your own private cloud or data center, or (ii) remote devices, virtual machines, or containers which are dedicated solely to your use and hosted for you on Microsoft Azure or by other cloud hosting providers (collectively, "Development Devices"). You and others in your organization may use these files on your Development Devices solely to develop and test applications. For clarity, "applications" means applications developed by you and others in your organization who are each licensed to use Microsoft Visual Studio Code.
   2. **Demo Use.** The uses permitted above include use of the software in demonstrating your applications.
   3. **Third Party Components.** The software may include third party components with separate legal notices or governed by other agreements, as may be described in the ThirdPartyNotices file(s) accompanying the software.
   4. **Extensions.** The software gives you the option to download other Microsoft and third party software packages from our extension marketplace or package managers. Those packages are under their own licenses, and not this agreement. Microsoft does not distribute, license or provide any warranties for any of the third party packages. By accessing or using our extension marketplace, you agree to the extension marketplace terms located at [https://aka.ms/vsmarketplace-ToU](https://aka.ms/vsmarketplace-ToU).
2. **PRE-RELEASE SOFTWARE.** The software is a pre-release version. It may not work the way a final version of the software will. Microsoft may change it for the final, commercial version. We also may not release a commercial version. Microsoft is not obligated to provide maintenance, technical support or updates to you for the software.
3. **ONLINE SERVICES IN THE SOFTWARE.** Some features of the software make use of online services to provide you with updates to the software or extensions, to download or install additional software to enable use of this software, or to enable you to retrieve content, collaborate with others, or otherwise supplement your development. As used throughout this agreement, the term "software" includes these online service features.
4. **DATA.**
   1. **Data Collection.** The software may collect information about you and your use of the software, and send that to Microsoft. Microsoft may use this information to provide services and improve our products and services. You may opt-out of many of these scenarios, but not all, as described in the product documentation located at [https://code.visualstudio.com/docs/supporting/faq#\_how-to-disable-telemetry-reporting](https://code.visualstudio.com/docs/supporting/faq#_how-to-disable-telemetry-reporting). There may also be some features in the software that may enable you and Microsoft to collect data from users of your applications. If you use these features, you must comply with applicable law, including providing appropriate notices to users of your applications together with Microsoft's privacy statement. Our privacy statement is located at [https://go.microsoft.com/fwlink/?LinkID=824704](https://go.microsoft.com/fwlink/?LinkID=824704). You can learn more about data collection and use in the help documentation and our privacy statement. Your use of the software operates as your consent to these practices.
   2. **Processing of Personal Data.** To the extent Microsoft is a processor or subprocessor of personal data in connection with the software, Microsoft makes the commitments in the European Union General Data Protection Regulation Terms of the Online Services Terms to all customers effective May 25, 2018, at https://go.microsoft.com/?linkid=9840733.
5. **UPDATES.** The software may periodically check for updates and download and install them for you. You may obtain updates only from Microsoft or authorized sources. Microsoft may need to update your system to provide you with updates. You agree to receive these automatic updates without any additional notice. Updates may not include or support all existing software features, services, or peripheral devices.
6. **FEEDBACK.** If you give feedback about the software to Microsoft, you give to Microsoft, without charge, the right to use, share and commercialize your feedback in any way and for any purpose. You will not give feedback that is subject to a license that requires Microsoft to license its software or documentation to third parties because we include your feedback in them. These rights survive this agreement.
7. **SCOPE OF LICENSE.** The software is licensed, not sold. This agreement only gives you some rights to use the software. Microsoft reserves all other rights. Unless applicable law gives you more rights despite this limitation, you may use the software only as expressly permitted in this agreement. In doing so, you must comply with any technical limitations in the software that only allow you to use it in certain ways. For example, if Microsoft technically limits or disables extensibility for the software, you may not extend the software by, among other things, loading or injecting into the software any non-Microsoft add-ins, macros, or packages; modifying the software registry settings; or adding features or functionality equivalent to that found in other Visual Studio products. You may not:

   - work around any technical limitations in the software;
   - reverse engineer, decompile or disassemble the software, r otherwise attempt to derive the source code for the software, except and to the extent required by third party licensing terms governing use of certain open source components that may be included with the software;
   - remove, minimize, block or modify any notices of Microsoft or its suppliers in the software;
   - use the software in any way that is against the law;
   - host, share, publish, rent or lease the software; or
   - provide the software as a stand-alone or integrated offering or combine it with any of your applications for others to use.

8. **SUPPORT SERVICES.** Because the software is "as is," we may not provide support services for it.
9. **ENTIRE AGREEMENT.** This agreement, and the terms for supplements, updates, Internet-based services and support services that you use, are the entire agreement for the software and support services.
10. **EXPORT RESTRICTIONS.** You must comply with all domestic and international export laws and regulations that apply to the software, which include restrictions on destinations, end users and end use. For further information on export restrictions, visit (aka.ms/exporting).
11. **APPLICABLE LAW.** If you acquired the software in the United States, Washington State law applies to interpretation of and claims for breach of this agreement, and the laws of the state where you live apply to all other claims. If you acquired the software in any other country, its laws apply.
12. **CONSUMER RIGHTS; REGIONAL VARIATIONS.** This agreement describes certain legal rights. You may have other rights, including consumer rights, under the laws of your state or country. Separate and apart from your relationship with Microsoft, you may also have rights with respect to the party from which you acquired the software. This agreement does not change those other rights if the laws of your state or country do not permit it to do so. For example, if you acquired the software in one of the below regions, or mandatory country law applies, then the following provisions apply to you:
    1. **Australia.** You have statutory guarantees under the Australian Consumer Law and nothing in this agreement is intended to affect those rights.
    2. **Canada.** If you acquired the software in Canada, you may stop receiving updates by turning off the automatic update feature, disconnecting your device from the Internet (if and when you re-connect to the Internet, however, the software will resume checking for and installing updates), or uninstalling the software. The product documentation, if any, may also specify how to turn off updates for your specific device or software.
    3. **Germany and Austria.**
       1. **Warranty**. The properly licensed software will perform substantially as described in any Microsoft materials that accompany the software. However, Microsoft gives no contractual guarantee in relation to the licensed software.
       2. **Limitation of Liability**. In case of intentional conduct, gross negligence, claims based on the Product Liability Act, as well as, in case of death or personal or physical injury, Microsoft is liable according to the statutory law.
       
          Subject to the foregoing clause (ii), Microsoft will only be liable for slight negligence if Microsoft is in breach of such material contractual obligations, the fulfillment of which facilitate the due performance of this agreement, the breach of which would endanger the purpose of this agreement and the compliance with which a party may constantly trust in (so-called &quot;cardinal obligations&quot;). In other cases of slight negligence, Microsoft will not be liable for slight negligence.
13. **LEGAL EFFECT.** This agreement describes certain legal rights. You may have other rights under the laws of your country. You may also have rights with respect to the party from whom you acquired the software. This agreement does not change your rights under the laws of your country if the laws of your country do not permit it to do so.
14. **DISCLAIMER OF WARRANTY. THE SOFTWARE IS LICENSED &quot;AS-IS.&quot;  YOU BEAR THE RISK OF USING IT. MICROSOFT GIVES NO EXPRESS WARRANTIES, GUARANTEES OR CONDITIONS. TO THE EXTENT PERMITTED UNDER YOUR LOCAL LAWS, MICROSOFT EXCLUDES THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.**
15. **LIMITATION ON AND EXCLUSION OF DAMAGES. YOU CAN RECOVER FROM MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00. YOU CANNOT RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST PROFITS, SPECIAL, INDIRECT OR INCIDENTAL DAMAGES.**

    This limitation applies to (a) anything related to the software, services, content (including code) on third party Internet sites, or third party programs; and (b) claims for breach of contract, breach of warranty, guarantee or condition, strict liability, negligence, or other tort to the extent permitted by applicable law.

    It also applies even if Microsoft knew or should have known about the possibility of the damages. The above limitation or exclusion may not apply to you because your country may not allow the exclusion or limitation of incidental, consequential or other damages.

**Please note: As the software is distributed in Quebec, Canada, some of the clauses in this agreement are provided below in French.**

**Remarque : Ce logiciel Ã©tant distribuÃ© au QuÃ©bec, Canada, certaines des clauses dans ce contrat sont fournies ci-dessous en franÃ§ais.**

**EXONÃ‰RATION DE GARANTIE.** Le logiciel visÃ© par une licence est offert Â« tel quel Â». Toute utilisation de ce logiciel est Ã  votre seule risque et pÃ©ril. Microsoft n&#39;accorde aucune autre garantie expresse. Vous pouvez bÃ©nÃ©ficier de droits additionnels en vertu du droit local sur la protection des consommateurs, que ce contrat ne peut modifier. La ou elles sont permises par le droit locale, les garanties implicites de qualitÃ© marchande, d&#39;adÃ©quation Ã  un usage particulier et d&#39;absence de contrefaÃ§on sont exclues.

**LIMITATION DES DOMMAGES-INTÃ‰RÃŠTS ET EXCLUSION DE RESPONSABILITÃ‰ POUR LES DOMMAGES.** Vous pouvez obtenir de Microsoft et de ses fournisseurs une indemnisation en cas de dommages directs uniquement Ã  hauteur de 5,00 $ US. Vous ne pouvez prÃ©tendre Ã  aucune indemnisation pour les autres dommages, y compris les dommages spÃ©ciaux, indirects ou accessoires et pertes de bÃ©nÃ©fices.

Cette limitation concerne :

- tout ce qui est reliÃ© au logiciel, aux services ou au contenu (y compris le code) figurant sur des sites Internet tiers ou dans des programmes tiers ; et
- les rÃ©clamations au titre de violation de contrat ou de garantie, ou au titre de responsabilitÃ© stricte, de nÃ©gligence ou d&#39;une autre faute dans la limite autorisÃ©e par la loi en vigueur.

Elle s&#39;applique Ã©galement, mÃªme si Microsoft connaissait ou devrait connaÃ®tre l&#39;Ã©ventualitÃ© d&#39;un tel dommage. Si votre pays n&#39;autorise pas l&#39;exclusion ou la limitation de responsabilitÃ© pour les dommages indirects, accessoires ou de quelque nature que ce soit, il se peut que la limitation ou l&#39;exclusion ci-dessus ne s&#39;appliquera pas Ã  votre Ã©gard.

**EFFET JURIDIQUE.** Le prÃ©sent contrat dÃ©crit certains droits juridiques. Vous pourriez avoir d&#39;autres droits prÃ©vus par les lois de votre pays. Le prÃ©sent contrat ne modifie pas les droits que vous confÃ¨rent les lois de votre pays si celles-ci ne le permettent pas.